Description

Con la vista en EPSG 32614 se intenta cargar la capa oficial del CNIG BCN500_0101S_LIMITE_ADM.shp.

Aunque reconoce correctamente la proyección (EPSG 4258) no representa bien la geometría. Si la vista está en 25830 sí se visualiza
bien.

Adjunto capa y capturas de pantalla

History
#1 - 05/16/2018 11:28 AM - Joaquín  del Cerro Murciano

A ver...
Tienes la vista en EPSG:32614, un CRS proyectado especifico para la zona centro
de America del norte (simplificandolo).

Cargas una capa en EPSG:4258, un CRS en geograficas especifico de la zona "europa",
que supongo que tendra datos de esa zona.

No me parece estraño que haga cosas raras al reproyectar.

Cada CRS tiene un ambito geografico en el que es valido.
Al intentar reproyectar elementos a un CRS que estan fuera de ese ambito, es normal 
que los calculos produzcan resultados que tienden a cero o infinito. Por eso 
aparecen lineas que parecen fugar hacia un punto fijo, normalmente en el ecuador,
el cero.

Pasa lo mismo si pones la vista en EPSG:25830, y cargas el mundo en EPSG:4326
(Vista en proyectadas para una zona, capa en geograficas con datos fuera de esa zona).
Si haces zoom a la zona de españa en la que es valido el CRS de la vista, veras
como si puede reproyectarlo correctamente y se pinta mas o menos bien. Pero cuando 
te mueves fuera del area de validez del CRS de la vista veras que se empiezan a 
producirse errores y aparecen lineas que fugan hacia el ecuador.

Dices que si la vista esta en EPSG:25830, proyectada y cargas la capa en EPSG:4258,
geograficas,se ve bien. La cosa es que:
    -  Los dos CRSs comparten un area de validez geografica, aprox.
    -  Los datos de tu capa estaran dentro del area de validez de EPSG:25830.

Dado que el area de validez de EPSG:4258 es bastante mayor que EPSG:25830, si tuvieses
datos fuera del area de EPSG:25830 tambien verias que pasan cosas raras.

Moraleja...
Cuando cargues capas en una vista, cuyos datos esten fuera del area de validez del
CRS de la vista, tendras resultados raros.

Los CRS ayudan cuando hay que mezclar informacion cartografica diversa, pero no
es magia, si le pides algo "chungo" obtendras resultados "chungos".

Seguramente alguien que sepa mas que yo de proyecciones podra explicar mejor esto,
y seguramente decidira que no he sido nada riguroso; pero a grandes rasgos esa es
la idea.

De momento consultar en spatialreference.org puede ser util para saber las areas
de validez de un CRS.

    -  EPSG:32614 http://spatialreference.org/ref/epsg/32614/
    -  EPSG:4258 http://spatialreference.org/ref/epsg/4258/
    -  EPSG:25830 http://spatialreference.org/ref/epsg/25830/

#2 - 05/16/2018 11:43 AM - Alonso Morilla

Sí, comprendo el tema de las proyecciones. Es cierto que el esferoide es diferente, pero estoy casi seguro de que otras veces me ha abierto asi las
capas sin problema en proyectos de comparativa de diferentes países.

Puede que tengas razón, sí.

#3 - 05/18/2018 07:16 PM - Álvaro Anguix
- Status changed from New to Invalid

Lo paso a invalid
